/*****************************************************************************
 *
 * Copyright (C) 2018-2022  Bjarne von Horn <vh@igh.de>,
 *                          Wilhelm Hagemeister<hm@igh.de>,
 *                          Florian Pose <fp@igh.de>
 *
 * This file is part of the PdQmlWidgets library.
 *
 * The PdQmlWidgets library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 *
 * The PdQmlWidgets library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with the PdQmlWidgets Library. If not, see
 * <http://www.gnu.org/licenses/>.
 *
 ****************************************************************************/

#ifndef QML_PD_WIDGETS2_H
#define QML_PD_WIDGETS2_H

class QQmlEngine;

#include <QtCore/QtGlobal>


/// PdQmlWidgets major version
#define PDQMLWIDGETS_MAJOR 2
/// PdQmlWidgets minor version
#define PDQMLWIDGETS_MINOR 0
/// Patch level of release. Note this may be a string
#define PDQMLWIDGETS_RELEASE 0

namespace PdQmlWidgets {


/// Library version string as "major.minor.patch".
Q_DECL_EXPORT extern const char* const pdqmlwidgets_version_code;
/** Library version with four fields followed by the commit hash.
 * A trailing plus sign shows that uncommitted changes existed during
 * the build. The hash is prefixed with a "g" to indicate that git is used
 * as version control system.
 *
 * Example: "5.1.0.8.gea62937+".
 */
Q_DECL_EXPORT extern const char* const pdqmlwidgets_full_version;



void Q_DECL_EXPORT setQmlImportPathToResourceFile(QQmlEngine &engine);
int Q_DECL_EXPORT registerScalarVariant();
int Q_DECL_EXPORT registerVectorVariant();
int Q_DECL_EXPORT registerLiveSvg();
void Q_DECL_EXPORT registerQtPdComTypes();
}
#endif //  QML_PD_WIDGETS2_H
